Show / Hide Table of Contents

# AsyncRenderObjectTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncRenderObjectTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncRenderObjectTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnRenderObjectAsyncHandler() |
GetOnRenderObjectAsyncHandler(CancellationToken) |
OnRenderObjectAsync() |
OnRenderObjectAsync(CancellationToken) |

### Methods

#### GetOnRenderObjectAsyncHandler()

    public IAsyncOnRenderObjectHandler GetOnRenderObjectAsyncHandler()

##### Returns

IAsyncOnRenderObjectHandler

#### GetOnRenderObjectAsyncHandler(CancellationToken)

    public IAsyncOnRenderObjectHandler GetOnRenderObjectAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnRenderObjectHandler

#### OnRenderObjectAsync()

    public UniTask OnRenderObjectAsync()

##### Returns

UniTask

#### OnRenderObjectAsync(CancellationToken)

    public UniTask OnRenderObjectAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>